Name:           python-caja
Version:        1.4.0
Release:        4%{?dist}
Epoch:          1
Summary:        Python bindings for Caja

Group:          Development/Libraries
License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
Patch0:         python-caja_removal_of_mate-python_usage.patch
# upstream patches
# http://git.mate-desktop.org/python-caja/patch/?id=3febccac80b699b7a053676d526564616c18cabb
Patch1:         python-caja_fix_incorrect-FSF-address.patch
# https://github.com/mate-desktop/python-caja/commit/8717ed5e3d105f3a10aad6435e028c9d30271852
Patch2:         python-caja_fix_incorrect-FSF-address-copying.patch
# http://git.mate-desktop.org/python-caja/commit/?id=f66006c6890b231ac4dafcf8ad6b56dfa04dd7c1
Patch3:         python-caja_automake-1.13-fix.patch

BuildRequires:  python2-devel
%if 0%{?fedora} > 20
BuildRequires:  caja-devel
%else
BuildRequires:  mate-file-manager-devel
%endif
BuildRequires:  pygobject2-devel
BuildRequires:  mate-common
BuildRequires:  pygtk2-devel


%description
Python bindings for Caja

%package devel
Summary:        Python bindings for Caja
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description devel
Python bindings for Caja


%prep
%setup -q
sed -i -e 's~#!/usr/bin/python~#!%{__python2}~g' examples/background-image.py
sed -i -e 's~#!/usr/bin/python~#!%{__python2}~g' examples/block-size-column.py
sed -i -e 's~#!/usr/bin/python~#!%{__python2}~g' examples/location-widget-provider.py
sed -i -e 's~#!/usr/bin/python~#!%{__python2}~g' examples/md5sum-property-page.py
sed -i -e 's~#!/usr/bin/python~#!%{__python2}~g' examples/open-terminal.py
sed -i -e 's~#!/usr/bin/python~#!%{__python2}~g' examples/submenu.py
sed -i -e 's~#!/usr/bin/python~#!%{__python2}~g' examples/update-file-info-async.py

%patch0 -p1 -b .mate-python
%patch1 -p1 -b .incorrect-FSF-address
%patch2 -p1 -b .COPYING
%patch3 -p1 -b .automake
NOCONFIGURE=1 ./autogen.sh

%build

%configure \
     --disable-static

make %{?_smp_mflags}


%install
%{make_install}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/extensions
find $RPM_BUILD_ROOT -name '*.la' -delete

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README AUTHORS COPYING NEWS
%{_libdir}/caja/extensions-2.0/libcaja-python.so
%dir %{_libdir}/caja-python
%{_libdir}/caja-python/caja.so
%dir %{_datadir}/python-caja
%dir %{_datadir}/python-caja/extensions

%files devel
%{_libdir}/pkgconfig/caja-python.pc
%{_datadir}/doc/caja-python/examples/
%{_datadir}/doc/caja-python/README


%changelog
* Wed Dec 18 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:1.4.0-4
- rebuild for caja rename in f21
- add python2 stacks

* Mon Sep 23 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:1.4.0-3
- own directories

* Fri Sep 06 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:1.4.0-2
- initial build for fedora
- use modern make install macro
- add epoch tag to obsolete python-caja from external repo
- add upstream patches to fix incorrect-FSF-address
- add upstream patch for automake-1.13
- add LGPLv2+ to license information

* Thu May 30 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-1
- build for f19
- add python-caja_removal_of_mate-python_usage.patch

* Tue Apr 10 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.2.0-1
- rename package to python-caja

* Wed Mar 14 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.2.0-1
- update to 1.2.0 version

* Mon Feb 13 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - caja-python-1.1.0-2
- rebuild for enable builds for .i686

* Sat Jan 21 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- update to version 1.1.0

* Wed Jan 04 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 2011.12.01-1
- caja-python.spec based on nautilus-python-1.0-1.fc16 spec
